Package org.apache.commons.beanutils2.locale.converters

# Class IntegerLocaleConverter

java.lang.Object
org.apache.commons.beanutils2.locale.BaseLocaleConverter<Integer>
org.apache.commons.beanutils2.locale.converters.DecimalLocaleConverter<Integer>
org.apache.commons.beanutils2.locale.converters.IntegerLocaleConverter

All Implemented Interfaces:
  `Converter<Integer>`, `LocaleConverter<Integer>`

public class IntegerLocaleConverter extends DecimalLocaleConverter<Integer>
Standard `LocaleConverter` implementation that converts an incoming locale-sensitive String into a `Integer` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IntegerLocaleConverter.Builder`
  Builds instances of `ByteLocaleConverter`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter

  `defaultValue, locale, localizedPattern, pattern, useDefault`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IntegerLocaleConverter.Builder`
  `builder()`
  Constructs a new builder.
  `protected Integer`
  `parse(Object value, String pattern)`
  Parses the specified locale-sensitive input object into an output object of the specified type.

  ### Methods inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter

  `convert, convert, convert, convert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### builder

    public static IntegerLocaleConverter.Builder builder()
    Constructs a new builder.
    Returns:
      a new builder.

  - ### parse

    protected Integer parse(Object value, String pattern) throws ParseException
    Parses the specified locale-sensitive input object into an output object of the specified type. This method will return Integer type.
    Overrides:
      `parse` in class `DecimalLocaleConverter<Integer>`
    Parameters:
      `value` - The input object to be converted
      `pattern` - The pattern is used for the conversion
    Returns:
      The converted value
    Throws:
      `ConversionException` - if conversion cannot be performed successfully
      `ParseException` - if an error occurs parsing a String to a Number